| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs
OgreGLSLProgramCommon.h File Reference
`#include "OgreGLSupportPrerequisites.h"`
`#include "OgreConfig.h"`
`#include "OgreHardwareVertexBuffer.h"`
`#include "OgreGLSLShaderCommon.h"`
`#include "OgreHardwareUniformBuffer.h"`

## Classes
class | Ogre::GLSLProgramCommon
struct | Ogre::GLUniformReference
| Structure used to keep track of named uniforms in the linked program object. More...

## Namespaces
| Ogre

## Typedefs
typedef GLUniformBufferList::iterator | Ogre::GLUniformBufferIterator
typedef std::vector< HardwareUniformBufferSharedPtr > | Ogre::GLUniformBufferList
typedef GLUniformReferenceList::iterator | Ogre::GLUniformReferenceIterator
typedef std::vector< GLUniformReference > | Ogre::GLUniformReferenceList